curl --request GET \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_snapshot \
--header 'Authorization: Bearer <token>'{
"coverages": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"latest_change_effective_date": "2022-02-13"
},
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "medical",
"plan_id": "4bf04f73-0aad-48ac-b28a-e5f4def7c5e9",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_type": "employee"
},
{
"effective_end_date": "2021-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "dental",
"plan_name": "DHMO Smile Plus",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_type": "employee",
"volume": 50000
}
],
"line_of_coverage": "life",
"plan_name": "50k Employee Basic Life",
"signature_date": "2021-12-23"
}
],
"dependents": [
{
"custom_individual_id": "3f093cc0-4fef-4d5d-9267-ba5cdfc09827",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1990-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse"
}
],
"employee": {
"classifications": {
"BranchName": "HQ",
"Department": "Sales"
},
"custom_individual_id": "bb6bfcd8-6657-4b77-8151-949ea8b5e44e",
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"effective_date": "2022-01-31",
"type": "salary",
"unit": "annual"
}
},
"group_id": "d0ec3837-3499-4a2f-8c58-966ef7e46d95",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1985-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"middle_name": "A",
"sex": "M",
"ssn": "123456789",
"suffix": "Jr"
}
}
}Get a Member Snapshot by Employee ID. This will be calculated based on the current state of Noyo data for the employee.
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/employees/{employee_id}/member_snapshot \
--header 'Authorization: Bearer <token>'{
"coverages": [
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"individual_type": "employee",
"latest_change_effective_date": "2022-02-13"
},
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "medical",
"plan_id": "4bf04f73-0aad-48ac-b28a-e5f4def7c5e9",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_type": "employee"
},
{
"effective_end_date": "2021-12-31",
"effective_start_date": "2022-01-01",
"individual_id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"individual_type": "dependent"
}
],
"line_of_coverage": "dental",
"plan_name": "DHMO Smile Plus",
"signature_date": "2021-12-23"
},
{
"carrier_id": "4d4d815b-ae8f-430c-901f-1c9d5ee3f4f1",
"enrolled_members": [
{
"effective_end_date": "9999-12-31",
"effective_start_date": "2022-01-01",
"individual_type": "employee",
"volume": 50000
}
],
"line_of_coverage": "life",
"plan_name": "50k Employee Basic Life",
"signature_date": "2021-12-23"
}
],
"dependents": [
{
"custom_individual_id": "3f093cc0-4fef-4d5d-9267-ba5cdfc09827",
"id": "ab740704-7c37-4010-92b3-d22c6926be3e",
"person": {
"contact": {
"email_address": "jamie@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234"
},
"date_of_birth": "1990-01-02",
"first_name": "Jamie",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"sex": "F",
"ssn": "987654321"
},
"relationship": "spouse"
}
],
"employee": {
"classifications": {
"BranchName": "HQ",
"Department": "Sales"
},
"custom_individual_id": "bb6bfcd8-6657-4b77-8151-949ea8b5e44e",
"employment": {
"employment_dates": {
"full_time_start": "2015-01-01",
"hire_date": "2014-12-10"
},
"employment_status": "full-time",
"hours_worked": 50,
"occupation": "Senior Analyst",
"salary": {
"amount": 55000,
"effective_date": "2022-01-31",
"type": "salary",
"unit": "annual"
}
},
"group_id": "d0ec3837-3499-4a2f-8c58-966ef7e46d95",
"id": "6e7a80fc-473e-460a-8368-454e9e8dc9cb",
"person": {
"contact": {
"email_address": "david@testemail.com",
"email_address_type": "home",
"home_phone": "+12065551234",
"preferred_method": "email",
"work_phone": "+12065559876"
},
"date_of_birth": "1985-06-22",
"first_name": "David",
"home_address": {
"city": "San Francisco",
"county": "San Francisco",
"state": "CA",
"street_one": "1234 Home Ave",
"zip_code": "94107"
},
"last_name": "Johnson",
"mailing_address": {
"city": "San Francisco",
"state": "CA",
"street_one": "P.O. Box 1234",
"zip_code": "94107"
},
"marital_status": "married",
"middle_name": "A",
"sex": "M",
"ssn": "123456789",
"suffix": "Jr"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the employee
"2613a221-d3c8-4c8a-86d5-e7e885fd1da9"
Filter by associated status
Filter by ID (comma separated)
Filter by fulfillment summary carrier ID (comma separated)
Filter by fulfillment summary status (comma separated)
Successful Response - Returns the Member Snapshot contents for an employee
Demographic information for the employee
Show child attributes
Mode describing how the contents of the snapshot will be processed
current_open "current_open"
List of coverage and enrollment decisions for each member
Show child attributes
List of demographic information for each dependent
Show child attributes
Boolean flag for autolinking workflow
List of events associated with member and coverage updates
Show child attributes
Configuration for handling omitted coverages
Show child attributes
Was this page helpful?